import { logAPIUrl } from '@/http/configAPI.js'
import { commonFetch } from '@/http/fetch'

export function logApi(params = {}) {
    return commonFetch({
        url: `${logAPIUrl}/uploadLogFromFrontend`,
        baseInfo: {
            pageSource: params.params.pageSource || ''
        },
        params: params.params
    })
}

export function reportFrontLogApi(params = {}) {
    return commonFetch({
        url: `/log/reportFrontLog`,
        params: params
    })
}